summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2016-01-26 13:33:10 +0100
committerDavid Seifert <soap@gentoo.org>2016-01-26 13:33:32 +0100
commit3a7d18341dd573fc971250ecae3803d9f3b3a87a (patch)
treec98a79e116f5efa5c3116be9b27c4e84fb838b9b
parentdev-util/cmake: Removed old. (diff)
downloadgentoo-3a7d18341dd573fc971250ecae3803d9f3b3a87a.tar.gz
gentoo-3a7d18341dd573fc971250ecae3803d9f3b3a87a.tar.bz2
gentoo-3a7d18341dd573fc971250ecae3803d9f3b3a87a.zip
media-sound/yoshimi: Replace 'default_src_prepare' with 'cmake-utils_src_prepare'
Package-Manager: portage-2.2.27
-rw-r--r--media-sound/yoshimi/yoshimi-1.3.8.2-r1.ebuild (renamed from media-sound/yoshimi/yoshimi-1.3.8.2.ebuild)11
1 files changed, 4 insertions, 7 deletions
diff --git a/media-sound/yoshimi/yoshimi-1.3.8.2.ebuild b/media-sound/yoshimi/yoshimi-1.3.8.2-r1.ebuild
index 68b5a5fd0c34..a5ae15ce05e7 100644
--- a/media-sound/yoshimi/yoshimi-1.3.8.2.ebuild
+++ b/media-sound/yoshimi/yoshimi-1.3.8.2-r1.ebuild
@@ -37,23 +37,20 @@ PATCHES=(
"${FILESDIR}/${P}-underlinking.patch"
"${FILESDIR}/${PN}-1.1.0-desktop-version.patch"
)
-DOCS="../Changelog"
-
-S=${WORKDIR}/${P}/src
+CMAKE_USE_DIR="${WORKDIR}/${P}/src"
src_prepare() {
- cd .. || die
- default
-
+ mv Change{l,L}og || die
sed -i \
-e '/set (CMAKE_CXX_FLAGS_RELEASE/d' \
-e "s:lib/lv2:$(get_libdir)/lv2:" \
src/CMakeLists.txt || die
+ cmake-utils_src_prepare
}
src_configure() {
local mycmakeargs=(
- -DBuildLV2Plugin=$(usex lv2 ON OFF)
+ -DBuildLV2Plugin=$(usex lv2)
)
cmake-utils_src_configure
}